Skip to main content
POST
/
v1
/
projects
Create a project
curl --request POST \
  --url https://roughy-api-staging.fly.dev/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Episode 42"
}
'
{
  "id": "019de7f5-7e21-7402-92a8-1c0e1fa84411",
  "name": "Episode 42",
  "state": "active",
  "archived_at": null,
  "created_at": "2026-05-02T08:54:52.423000Z",
  "updated_at": "2026-05-02T08:54:52.423000Z"
}

Authorizations

Authorization
string
header
required

Pass your API key as Authorization: Bearer sk_…. Mint a key from your dashboard's API-keys page.

Body

application/json

Project to create.

name
string
required

Display name for the project. Up to 256 characters.

Required string length: 1 - 256

Response

The newly-created project.

A project.

id
string<uuid>
required

Project id.

name
string
required

Display name.

state
enum<string>
required

Lifecycle state.

Available options:
active,
archived
archived_at
string<date-time> | null
required

When the project was archived.

created_at
string<date-time>
required

When the project was created.

updated_at
string<date-time>
required

When any field last changed.